Package com.google.android.exoplayer2.testutil

## Class FakeMediaChunkIterator

- java.lang.Object
- - com.google.android.exoplayer2.source.chunk.BaseMediaChunkIterator
  - - com.google.android.exoplayer2.testutil.FakeMediaChunkIterator

- All Implemented Interfaces:
    `MediaChunkIterator`

      public final class FakeMediaChunkIterator
      extends BaseMediaChunkIterator

  Fake `MediaChunkIterator`.

- - ### Field Summary

    - ### Fields inherited from interface com.google.android.exoplayer2.source.chunk.MediaChunkIterator

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FakeMediaChunkIterator​(long[] chunkTimeBoundariesSec, long[] chunkLengths)` | Creates a fake `MediaChunkIterator`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getChunkEndTimeUs()` | Returns the media end time of the chunk, in microseconds.
    `long` | `getChunkStartTimeUs()` | Returns the media start time of the chunk, in microseconds.
    `DataSpec` | `getDataSpec()` | Returns the `DataSpec` used to load the media chunk.

    - ### Methods inherited from class com.google.android.exoplayer2.source.chunk.BaseMediaChunkIterator

      `checkInBounds, getCurrentIndex, isEnded, next, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FakeMediaChunkIterator

          public FakeMediaChunkIterator​(long[] chunkTimeBoundariesSec,
                                        long[] chunkLengths)

      Creates a fake `MediaChunkIterator`.
      Parameters:
        `chunkTimeBoundariesSec` - An array containing the time boundaries where one chunk ends and the next one starts. The first value is the start time of the first chunk and the last value is the end time of the last chunk. The array should be of length (chunk-count + 1).
        `chunkLengths` - An array which contains the length of each chunk, should be of length (chunk-count).

  - ### Method Detail

    - #### getDataSpec

          public DataSpec getDataSpec()

      Description copied from interface: `MediaChunkIterator`
      Returns the `DataSpec` used to load the media chunk.

    - #### getChunkStartTimeUs

          public long getChunkStartTimeUs()

      Description copied from interface: `MediaChunkIterator`
      Returns the media start time of the chunk, in microseconds.

    - #### getChunkEndTimeUs

          public long getChunkEndTimeUs()

      Description copied from interface: `MediaChunkIterator`
      Returns the media end time of the chunk, in microseconds.